Ips

A CDN edge IP information resource.

This tag groups all operations for ips.

Retrieve all Ips

get

This endpoint enables retrieving all Ips using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested Ips successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of EdgeServerIpInfo resources.

Example: ad9aca4e-2ccd-508b-8c8f-c47e5104375e
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of EdgeServerIpInfo resources.

Example: /ips
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/ips

Retrieve EdgeServerIpInfo

get

Returns the EdgeServerIpInfo by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
idstring · uuidRequired

The ID (UUID) of the EdgeServerIpInfo.

Example: 96b6bdc3-57d6-5433-bde8-15929e828ea6
Responses
chevron-right
200

Getting EdgeServerIpInfo was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the EdgeServerIpInfo.

Example: 96b6bdc3-57d6-5433-bde8-15929e828ea6
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the EdgeServerIpInfo.

Example: /ips/96b6bdc3-57d6-5433-bde8-15929e828ea6
metadataobjectRequired
get
/ips/{id}

Last updated

Was this helpful?